Bug Hunting Session
Bug 47050 - Calc: Shown comments should not print and export if print/export comments unchecked
Summary: Calc: Shown comments should not print and export if print/export comments unc...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2012-03-07 05:46 UTC by Nicolas Mailhot
Modified: 2019-06-10 10:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Mailhot 2012-03-07 05:46:48 UTC
Comments are here to help people fill spreadsheets and usually should not be printed

1. The user should not have to hide comments manually before printing
2. They should not print by default 
3. Comment artifacts (arrow parts) should not bleed in printed cells when the comment itself is situated outside the print zone
4. it should be easy to toggle the print status of comments for a whole document

Excel 2007 does it right : calc forms are printed without arrow bits
Comment 1 sasha.libreoffice 2012-05-30 07:14:22 UTC
Thanks for new idea
in 3.5.3 disabling of printing comments not implemented yet

Workaround: File->Export as PDF, remove option "Export Comments", then print resulting pdf file
Comment 2 bfoman (inactive) 2012-08-08 12:01:23 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Edited summary according to http://wiki.documentfoundation.org/BugReport
Comment 3 Timur 2018-06-07 15:50:39 UTC
Bug rule is: one issue per report. 

1. and 2. are probably the same. 
Print-Comments is off by default but it doesn't behave well. 
We have both Format-Page-Print-comments and Export as PDF - Export comments and we have comments shown/hidden possibilities. 
When comments are hidden in Calc, comments options in both print/export seem to work fine. Comments are not seen and they are added as PDF comments in export. 
But when comments are shown in Calc, unchecking comments options still prints shown comments. That seems wrong. If we have many comments and some are shown and some are hidden, we need that "don't print" comment option means no comments are printed, regardless if they are shown. 
Yes from LO 5.4 we have "show/hide all comments toggle button" but that's something else. 

As for 3. I'm not sure what it means, but it should be reported as a new bug. 
As for 4. that was solved in LO 5.4 with Bug 84837 and Bug 107258.
Comment 4 QA Administrators 2019-06-08 02:53:18 UTC
Dear Nicolas Mailhot,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug